import React, { Component } from 'react';
import './index.scss'
import { HeaderBar, CallApp, CaptchaAli } from "@common/index"
import { isToday } from "date-fns";
import { http } from "@/utils"
import { Toast } from "antd-mobile";


class Problems extends Component {

  state = {
    isShowAnswer: false,
    isShowCaptcha: false,
    instance: null,
    problem: {},
  }

  componentDidMount() {
    this.getProblem()
  }

  getInstance = () => {

  }

  switchProblem() {

  }

  getProblem = () => {
    http.get(`${API.home}/m/question/${this.props.match.params.id}`)
      .then(res => {
        const {code, msg, data} = res.data
        if (code === 200) {

          this.setState({
            problem: data,
          });

        } else if (code === 1) {
          this.setState({
            isShowCaptcha: true,
          });
        } else {
          Toast.info(msg)
        }
      })
  }


  render() {
    const {isShowAnswer, problem: {quesInfo, between}, isShowCaptcha} = this.state
    return (
      <article id={'problems'}>
        {
          !isShowCaptcha ?
            <>
              <HeaderBar title='机器学习' arrow={true} cart={false}></HeaderBar>
              <div className="topic">
                {quesInfo && quesInfo.ques}
              </div>
              {
                !isShowAnswer &&
                <div className="btn" onClick={() => {
                  this.setState({
                    isShowAnswer: true,
                  });
                }}>
                  <button>查看解析 <i className={'iconfont iconiconfront-69'}></i></button>
                </div>
              }
              {
                isShowAnswer &&
                <div className={`content ${isShowAnswer ? 'slideInDown' : ''}`}>
                  <div className={'title'}>解析</div>
                  <span>
                    {quesInfo.analysis}
                  </span>
                </div>
              }
              <footer>
                <div className="app">更多题目请 <CallApp text={'前往APP'}/></div>
                <div className="op">
                  <a href="javascript:void(0);" className={'nav'}>上一题</a>
                  <a href="javascript:void(0);" className={'nav'}>下一题</a>
                </div>
              </footer>
            </>
            : <div className="captcha-container">
              <CaptchaAli getInstance={this.getInstance}/>
            </div>
        }
      </article>
    );
  }
}

export default Problems;